Gentoo Archives: gentoo-commits

From: Matthew Thode <prometheanfire@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/scdoc/
Date: Thu, 28 Feb 2019 15:51:50
Message-Id: 1551369090.3868d5c390ea04cbe038cbbd2fe6fd1cc4e3c5c6.prometheanfire@gentoo
commit:     3868d5c390ea04cbe038cbbd2fe6fd1cc4e3c5c6
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 28 15:49:27 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 15:51:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3868d5c3

app-text/scdoc: 1.9.1 bump for sway master

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-text/scdoc/Manifest           |  1 +
 app-text/scdoc/scdoc-1.9.1.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-text/scdoc/Manifest b/app-text/scdoc/Manifest
index 207de015f89..e20a5052f30 100644
--- a/app-text/scdoc/Manifest
+++ b/app-text/scdoc/Manifest
@@ -1,3 +1,4 @@
 DIST scdoc-1.3.1.tar.gz 9392 BLAKE2B 609f25252f0ee864ba3500961aa1048c6490278f4861fb4494ca62365a20d0cb128e53a6397bd089bd5a37f25f7f3c080f6921f1c4f4ca7e4af729c87e1994fc SHA512 6064de8c76eb959708b32e93634223565e5d4b390069d4fcd2d87d27bb472a333c60b21de87d676eb57ff5f8ed6445d3c3bd92dfe7dd611f9886abc38e8d21d2
 DIST scdoc-1.5.2.tar.gz 10542 BLAKE2B 07ceb1b3b57026a4e67e575f02042c2c882cdbd29712a4d3726ff39b4356bb63a35a99b21dd68fee31aad6fb2df14b1886bb2694098bc9096c5ff9e41600e7c4 SHA512 755c1c7fbae6cbeb75ca2aa2498cb3b2cf644e5118188c3e4a4636d74764b475b1818dcb5bd08ff70e017af9c1f8cb2e351db36a2cc98885724731e4247201eb
 DIST scdoc-1.8.1.tar.gz 11204 BLAKE2B 0427aae7aa6ad5a5258d3e00f9ea87f4faa9c3c8f9931fbed66659eaf62263c32377ee3ea68afdd7c02720f0550b1c8a9f8849245f1ec560ce86c198f6c44d0c SHA512 16845acac3d59eb878f1a41d5fa95d9910166da3ac292173506b778d29f5289a26a6529aac765c07b2e04bbc6924b32b68ff68f7491a03a1050e53251a193eaf
+DIST scdoc-1.9.1.tar.gz 11454 BLAKE2B c7f2087dd0b1334f4dea7a1dfe047e0516e83b986130125a65fbb1f817396bbb720c990db295bf68e557d8ed45904288d2d1bef8bafeedee9a71b5ea77e46c05 SHA512 9dac6dc76bc52ba7ea2be4a0e58a72754a6055b02cc2c36dac3a25d2d067e7b716b8b3ba1bc7908f0bcfd6ef6df36eb51b338adbabda45f424ced6935aa6e9f2

diff --git a/app-text/scdoc/scdoc-1.9.1.ebuild b/app-text/scdoc/scdoc-1.9.1.ebuild
new file mode 100644
index 00000000000..2e828db3f05
--- /dev/null
+++ b/app-text/scdoc/scdoc-1.9.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Standalone tool for generating man pages with a simple syntax"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/scdoc"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/scdoc"
+	inherit git-r3
+else
+	SRC_URI="https://git.sr.ht/~sircmpwn/scdoc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+src_prepare() {
+	default
+
+	sed -e 's/-Werror//' \
+		-i Makefile || die 'Failed to patch Makefile'
+}
+
+src_compile() {
+	local MY_HS="./scdoc"
+	if tc-is-cross-compiler; then
+		tc-export_build_env
+		MY_HS="./hostscdoc"
+		emake scdoc HOST_SCDOC="./hostscdoc" OUTDIR="${S}/.build.host" CC="$(tc-getBUILD_CC)" \
+			CFLAGS="${BUILD_CFLAGS} -DVERSION='\"${PV}\"'" LDFLAGS="${BUILD_LDFLAGS}"
+		mv scdoc hostscdoc || die 'Failed to rename host scdoc'
+	fi
+	emake LDFLAGS="${LDFLAGS}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}" install
+}